import { AccordionItem } from '@nuskin/foundation-ui-components';

import { CsAccordionItem } from '../types/types';
import { getRandomUid } from '../../utils';

const cleanItems = (items: CsAccordionItem[]): AccordionItem[] => {
    return items?.map((item) => {
        const { item_title, _metadata, default_open, rte, text_description, accordion, $ } = item;
        const id = _metadata?.uid ?? getRandomUid();
        if (item.type === 'accordion') {
            return {
                title: item_title,
                id: id,
                isDefaultOpen: default_open,
                type: 'accordion',
                content: cleanItems(accordion?.[0]?.items ?? []),
                allowMultipleExpanded: accordion?.[0]?.multiple_open,
                $
            };
        } else if (item.type === 'text') {
            return {
                $,
                title: item_title,
                id: id,
                isDefaultOpen: default_open,
                type: 'text',
                content: text_description
            };
        } else {
            return {
                $,
                title: item_title,
                id: id,
                isDefaultOpen: default_open,
                type: 'html',
                content: rte
            };
        }
    });
};
export default cleanItems;
