import getCardData from './model/card-model';
import NsAwardCardComponent from './variants/NsAwardCard';
import NsBrandCardComponent from './variants/NsBrandCard';
import NsCheckoutCardComponent from './variants/NsCheckoutCard';
import NsHeroCardLevel1Component from './variants/NsHeroCardLevel1';
import NsHeroCardLevel2Component from './variants/NsHeroCardLevel2';
import NsIconTextCardComponent from './variants/NsIconTextCard';
import NsLargeCardComponent from './variants/NsLargeCard';
import NsMediumCardComponent from './variants/NsMediumCard';
import NsPostCardComponent from './variants/NsPost';
import NsSmallFullCardComponent from './variants/NsSmallFullCard';
import NsXLargeCardComponent from './variants/NsXLargeCard';

type CardBlockMapType = Record<
    string,
    {
        component: React.ElementType;
        dataParser: (props: any) => void;
    }
>;

export const CardBlockMap: CardBlockMapType = {
    NsPost: {
        dataParser: getCardData,
        component: NsPostCardComponent
    },
    NsBrandCard: {
        dataParser: getCardData,
        component: NsBrandCardComponent
    },
    NsCheckoutCard: {
        dataParser: getCardData,
        component: NsCheckoutCardComponent
    },
    NsHeroCardLevel1: {
        dataParser: getCardData,
        component: NsHeroCardLevel1Component
    },
    NsHeroCardLevel2: {
        dataParser: getCardData,
        component: NsHeroCardLevel2Component
    },
    NsIconTextCard: {
        dataParser: getCardData,
        component: NsIconTextCardComponent
    },
    NsLargeCard: {
        dataParser: getCardData,
        component: NsLargeCardComponent
    },
    NsMediumCard: {
        dataParser: getCardData,
        component: NsMediumCardComponent
    },
    NsXLargeCard: {
        dataParser: getCardData,
        component: NsXLargeCardComponent
    },
    NsSmallFullCard: {
        dataParser: getCardData,
        component: NsSmallFullCardComponent
    },
    NsAwardCard: {
        dataParser: getCardData,
        component: NsAwardCardComponent
    }
};
