import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import { getBackgroundImageDetail, getButtonModel } from './card-model-util';
import { CardTypeName } from './types';

const getHeroCardLevel2CardModel = (data: any) => ({
    brandName: data?.brandName || '',
    cardTitle: data?.cardTitle || '',
    cardDescription: data?.cardDescription || '',
    backgroundImageDetail: getBackgroundImageDetail(data),
    className: data?.className || '',
    button: getButtonModel(data)
});

export const getHeroCardLevel2CardData = compose(
    getHeroCardLevel2CardModel,
    pathOr({}, [CardTypeName.HeroLevel2Card])
);
