import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import { getBackgroundImageDetail, getButtonModel } from './card-model-util';
import { CardTypeName } from './types';

const getLargeCardModel = (data: any) => ({
    title: data?.title || '',
    subtitle: data?.subtitle || '',
    intro: data?.intro || '',
    backgroundImageDetail: getBackgroundImageDetail(data),
    isHorizontal: data?.isHorizontal || '',
    className: data?.className || '',
    button: getButtonModel(data)
});

export const getLargeCardData = compose(getLargeCardModel, pathOr({}, [CardTypeName.LargeCard]));
