import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';

import { NsTypography } from '@nuskin/foundation-ui-components';

import { getBackgroundImageDetail, getButtonModel } from './card-model-util';
import { CardTypeName } from './types';

const getMediumCardButtonData = (data: any) => ({
    ...getButtonModel(data),
    buttonText: (
        <NsTypography variant="label-s" className="uppercase pb-1" weight="bold">
            {data?.buttonText ?? 'd'}
        </NsTypography>
    )
});
const getMediumCardModel = (data: any) => ({
    title: data?.title || '',
    titleFontWeight: data?.titleFontWeight || '',
    subtitle: data?.subtitle || '',
    backgroundImageDetail: getBackgroundImageDetail(data),
    className: data?.className || '',
    button: getMediumCardButtonData(data)
});

export const getMediumCardData = compose(getMediumCardModel, pathOr({}, [CardTypeName.MediumCard]));
