import { CslpTag, NsIconNameType } from '@nuskin/foundation-ui-components';

import { BynderImageDataType } from '../../utils/bynder-util';

export interface Card {
    NsPost?: NsPostProps;
    NsBrandCard?: NsBrandCardProps;
    NsCheckoutCard?: NsCheckoutCardProps;
    NsHeroCardLevel1?: NsHeroCardLevel1Props;
    NsHeroCardLevel2?: NsHeroCardLevel2Props;
    NsIconTextCard?: NsIconTextCardProps;
    NsLargeCard?: NsLargeCardProps;
    NsMediumCard?: NsMediumCardProps;
    NsXLargeCard?: NsXLargeCardProps;
    NsSmallFullCard?: NsSmallFullCardProps;
    NsAwardCard?: NsAwardCardProps;
}

export interface ButtonProps {
    showButton?: boolean;
    fullWidth?: boolean;
    url?: string;
    endIcon?: NsIconNameType;
    buttonText: string;
    buttonVariant?: 'text' | 'outlined' | 'contained';
    buttonColor?: 'secondary' | 'primary';
    liveTag: CslpTag;
}

export type NsPostProps = {
    text: string;
    body: string;
    backgroundImageDetail: BynderImageDataType;
    className?: string;
};

export type NsBrandCardProps = {
    title?: string;
    brandImageDetail: BynderImageDataType;
    backgroundImageDetail: BynderImageDataType;
    size?: 'small' | 'large';
    button?: ButtonProps;
    className?: string;
};

export type NsCheckoutCardProps = {
    icon: NsIconNameType;
    title: string;
    linkText: string;
    url: string;
    className?: string;
};

export type NsHeroCardLevel1Props = {
    cardTitle: string;
    cardDescription: string;
    backgroundImageDetail: BynderImageDataType;
    button?: ButtonProps;
    className?: string;
    imagePosition?: 'top' | 'bottom';
};

export type NsHeroCardLevel2Props = {
    brandName: string;
    cardTitle: string;
    cardDescription: string;
    backgroundImageDetail: BynderImageDataType;
    button?: ButtonProps;
    className?: string;
};

export type NsIconTextCardProps = {
    text: string;
    body: string;
    className?: string;
};

export type NsLargeCardProps = {
    title: string;
    subtitle?: string;
    intro: string;
    backgroundImageDetail: BynderImageDataType;
    isHorizontal?: boolean;
    button?: ButtonProps;
    className?: string;
};

export type NsMediumCardProps = {
    title: string;
    titleFontWeight?: 'bold' | 'normal' | 'light';
    subtitle: string;
    backgroundImageDetail: BynderImageDataType;
    button?: ButtonProps;
    className?: string;
};

export type NsXLargeCardProps = {
    title: string;
    subtitle: string;
    backgroundImageDetail: BynderImageDataType;
    button?: ButtonProps;
    className?: string;
};
export type NsSmallFullCardProps = {
    title: string;
    subtitle: string;
    backgroundImageDetail: BynderImageDataType;
    button?: ButtonProps;
    className?: string;
};

export type NsAwardCardProps = {
    title: string;
    awardName: string;
    mediaOutlet: string;
    backgroundImageDetail: BynderImageDataType;
    className?: string;
};
