import { NsBrandCard } from '@nuskin/foundation-ui-components';

import type { NsBrandCardProps } from '../types/types';
import { getTransformedMediaUrl } from '../../bynder-image/utils';
import { getBasicDATWidthHeight } from '../../utils/bynder-util';

type Props = {
    card: NsBrandCardProps;
};

const NsBrandCardComponent = ({ card }: Props) => {
    const backgroundImageUrl = getTransformedMediaUrl(
        card.backgroundImageDetail,
        getBasicDATWidthHeight(300, 400, 'scale')
    );
    const brandImageUrl = getTransformedMediaUrl(card.brandImageDetail, getBasicDATWidthHeight(200, 300, 'scale'));
    return (
        <NsBrandCard
            {...card}
            backgroundImageUrl={backgroundImageUrl}
            brandImageUrl={brandImageUrl}
            title={card.title}
        />
    );
};

export default NsBrandCardComponent;
