import { NsIcon, NsTypography } from '@nuskin/foundation-ui-components';

import { usePageRoutes, useRouteReplacer } from '../../hooks';
import { SecondaryWrapper } from '../helper-components/CtaLink.styled';
import { CtaLinkItemProps } from '../types/types';

const Secondary = (props: CtaLinkItemProps) => {
    const { text, url, color = 'primary' } = props;
    const { url: sanitizedUrl = '' } = useRouteReplacer(url);
    const { navigate } = usePageRoutes();
    return (
        <SecondaryWrapper onClick={() => navigate(sanitizedUrl as any)}>
            <NsTypography variant="body-l" className="!m-0 cta-text" weight="bold" color={color}>
                {text}
            </NsTypography>
            <NsIcon name="arrowRight" size="small" className="icon-order" color={color} />
        </SecondaryWrapper>
    );
};

export default Secondary;
