import { PropsWithChildren } from 'react';

import { HeroBlockMap } from './HeroMap';
import { HeroVariantProps } from './types/types';
import { extractContentType } from '../utils';

type HeroParserProps = {
    hero: HeroVariantProps[];
};

const NsHero = ({ hero }: PropsWithChildren<HeroParserProps>) => {
    return hero?.map((heroItem) => {
        if (!Object.values(heroItem)?.[0].show) {
            return <></>;
        }
        const blockType = extractContentType(heroItem);
        const { dataParser, component: BlockComponent = null } = HeroBlockMap[blockType] || {};
        if (!BlockComponent) return <></>;
        const blockData: any = dataParser(heroItem);
        return <BlockComponent {...blockData} />;
    });
};

export default NsHero;
