import * as React from 'react';

import { HeroBanner, SplitBanner } from './variants';
import getHeroPage from './model/hero-model';
import { HeroVariants } from './types';

type HeroBlockMapType = {
    [key: string]: {
        component: React.ElementType;
        dataParser: (props: any) => void;
    };
};

export const HeroBlockMap: HeroBlockMapType = {
    [HeroVariants.HeroBanner]: {
        dataParser: getHeroPage,
        component: HeroBanner
    },
    [HeroVariants.SplitBanner]: {
        dataParser: getHeroPage,
        component: SplitBanner
    }
};
