import applySpec from 'ramda/src/applySpec';

import { getHeroBannerData } from './hero-banner-parser';
import { getSplitBannerData } from './split-banner-model';
import { getThreeCardData } from './three-card-model';
import { HeroVariants } from '../types';

const getHeroDataModel = (component: any) => {
    const name = Object.keys(component)?.[0];
    const values = Object.values(component)?.[0];

    if (values) {
        if (name === HeroVariants.HeroBanner) {
            return getHeroBannerData(component);
        } else if (name === HeroVariants.ThreeCards) {
            return getThreeCardData(component);
        } else if (name === HeroVariants.SplitBanner) {
            return getSplitBannerData(component);
        }
    }
    return {};
};

const getHeroPage = applySpec({
    heroItem: getHeroDataModel,
});

export default getHeroPage;
