import { styled } from '@nuskin/foundation-theme';

import { HeroContentContainer, HeroImageContainer, HeroTextContainer } from '../../helper-components/HeroCommon.styled';
import { breakpoints } from '../../../theme';

export const TextContainer = styled(HeroTextContainer)`
    ${breakpoints.md} {
        width: 50%;
        padding: 60px;
    }

    ${breakpoints.xl} {
        padding: 60px 120px;
    }
`;

export const ImageContainer = styled(HeroImageContainer)`
    height: 220px;

    img {
        height: 100%;
        width: 100%;
    }

    .mode-hero & {
        height: 280px;
    }

    ${breakpoints.md} {
        width: 50%;
        height: 320px;

        .mode-hero & {
            height: 400px;
        }
    }

    ${breakpoints.md} {
        height: 460px;

        .mode-hero & {
            height: 520px;
        }
    }
`;

export const SBContentContainer = styled(HeroContentContainer)`
    ${breakpoints.sm} {
        &.image-align-right {
            .text-container {
                order: 1;
            }
            .image-container {
                order: 2;
            }
        }
    }
`;
