import { AllColorKeyType, styled } from '@nuskin/foundation-theme';
import { getGenomeColor } from '@nuskin/foundation-theme/src/common/themes/genome-colors/ColorFunctions';
import { NsNextImage } from '@nuskin/foundation-ui-components';

export const SectionThree = styled.div`
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    column-gap: 10%;
`;

export const ImageCircle = styled(NsNextImage)`
    position: relative;
    box-shadow: 0 1rem 3rem rgba(31, 45, 61, 0.125);
    border-radius: 50%;
    border: 14px solid ${({ theme }) => theme.palette?.primary?.main};
    vertical-align: middle;
    z-index: 1;
`;

export const BlackWrapper = styled.main<{ bgImage?: string }>`
    background: ${({ bgImage }) => `url(${bgImage}) no-repeat `};
    background-size: cover;
`;

export const BlocksContainer = styled.div<{
    backgroundColor: AllColorKeyType;
    includeGap?: boolean;
}>`
    background-color: ${({ backgroundColor, theme }) => getGenomeColor(theme, backgroundColor)};
    ${({ includeGap }) => (includeGap ? 'margin-bottom: 10px;' : null)}
`;

export const ImageBgColorCircle = styled.div`
    transform: rotate(180deg);
    position: absolute;
    bottom: -3rem;
    left: -3rem;
    width: 75%;
    img {
        vertical-align: middle;
        border-style: none;
        width: 100%;
        height: 100%;
    }
`;

export const SectionThreeTextContainer = styled.div`
    width: 80%;
`;

export const SectionCardStyled = styled.section`
    background: linear-gradient(
        140deg,
        ${({ theme }) => theme?.palette?.info?.main} 0%,
        ${({ theme }) => theme?.palette?.primary?.main} 100%
    );
`;

export const CardStyled = styled.div`
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    .item {
        box-shadow: 0 1rem 3rem rgba(31, 45, 61, 0.125);
        border-radius: 0.5rem;
        background-color: #fff;
        background-clip: border-box;
        word-wrap: break-word;
    }
`;
