import applySpec from 'ramda/src/applySpec';

import { getDefaultStatementData } from './default-model';
import { getQuoteStatementData } from './quote.model';
import { getFootNoteStatementData } from './footNote-model';
import { StatementTypeName } from '../types/types';

const getStatementDataModel = (component: any) => {
    const name = Object.keys(component)?.[0];
    const values = Object.values(component)?.[0];

    if (values) {
        if (name === StatementTypeName.default) {
            return getDefaultStatementData(component);
        } else if (name === StatementTypeName.quote) {
            return getQuoteStatementData(component);
        } else if (name === StatementTypeName.footNote) {
            return getFootNoteStatementData(component);
        }
    }
    return {};
};

const getStatementPage = applySpec({
    statementItem: getStatementDataModel
});

export default getStatementPage;