import { addDecimalIfNeeded } from '../decimal-utils';

describe('addDecimalIfNeeded Utility Function', () => {
    it('Should add decimal to the end if not present', () => {
        const result = addDecimalIfNeeded(10);
        expect(result).toEqual('10.00');
    });

    it('Should not add decimal if already present with two decimal places', () => {
        const result = addDecimalIfNeeded(15.75);
        expect(result).toEqual('15.75');
    });

    it('Should add trailing zero if only one decimal place', () => {
        const result = addDecimalIfNeeded(8.5);
        expect(result).toEqual('8.50');
    });

    it('Should return "0.00" for value 0', () => {
        const result = addDecimalIfNeeded(0);
        expect(result).toEqual('0.00');
    });

    it('Should return empty string for undefined value', () => {
        const result = addDecimalIfNeeded(undefined);
        expect(result).toEqual('');
    });
});
